Older Versions

Version 0.6.20 (posted on May 16, 2014)

  • Mac OS X 10.5 or higher; Java 1.5; Max 6.1 or higher
  • Windows XP or higher; Java 1.5; Quicktime; Max 6.1 (or higher)
  • LiveScore users will need Ableton Live 9.0¬†or higher in addition

An older version of MaxScore compatible with Max 5.1 to 6.0.8 and Live 8.2 to 8.3 can be downloaded from here:

The old online documentation is also still accessible as a pdf file.

Leave a Reply